Bug 246368 - Review Request: pbbuttonsd - hotkeys, power management, and keyboard backlight for Apple laptops
Review Request: pbbuttonsd - hotkeys, power management, and keyboard backligh...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-30 23:19 EDT by Gabriel Somlo
Modified: 2010-01-25 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-14 10:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2007-06-30 23:19:57 EDT
Spec URL: http://www.contrib.andrew.cmu.edu/~somlo/pbbuttonsd.spec
SRPM URL: http://www.contrib.andrew.cmu.edu/~somlo/pbbuttonsd-0.8.0-1.src.rpm
The pbbuttonsd daemon supports special hotkeys, and handles power management,
light sensors, and keyboard backlighting on Apple laptops, of both ppc and
i386 variety. It also offers generic support for a wider range of other
laptops and notebooks.
Comment 1 David Timms 2008-05-26 07:36:50 EDT
Gabriel: do you still have interest in this package ?
Add a comment to let me know, and I'll start a review.
Comment 2 Gabriel Somlo 2008-05-26 18:11:32 EDT
David: not sure where that comment went, but I got a reply from somewhere after
I originally opened this ticket saying something like "why bother, pbbuttonsd's
fuctionality should/will eventually be subsumed by hald".

The other reason I'd hold off for now is that pbbuttonsd doesn't actually
handle the special keys on my macbook pro (although it did work great on my
PowerBook G4).

So I was planning to try out http://www.technologeek.org/projects/pommed/index.html
and see if I didn't want to package that one instead.

So, to answer your original question: yes, I'm still interested, but please
give me a few days to figure out which mac-special-key daemon I actually want
to go with :)
Comment 3 Jason Tibbitts 2008-10-07 11:05:04 EDT
So, it's been more than a few days.  Was there ever any update?
Comment 4 Gabriel Somlo 2008-10-08 18:47:55 EDT
No update, sorry. Got buried in other work, after having limited success with pbbuttonsd, and I'd still like a solution that worked on intel hardware as well as the older G4 stuff. Not sure where that leaves this particular package. If it were already in Fedora officially, I'd keep maintaining it. But since I have limited interest in it as I'm on an intel macbook pro now, I'm reluctant to push for its acceptance at this point. If you know anyone interested in pushing it through anyway, let me know...
Comment 5 Jason Tibbitts 2008-10-09 11:41:12 EDT
I don't know anyone who might want this package; I don't really even know what it does.  My only concern here is the open review ticket.

I'll mark this as not being ready for review so it doesn't appear in the review queue.  If you decide in the future that you'd like a review of this, please clear the status whiteboard, or close the ticket if you decide you no longer want to submit this package.  If someone else wants to submit this package, they should close this ticket and open their own.
Comment 6 Gabriel Somlo 2008-10-14 10:38:58 EDT
This package is ppc specific, and there are potential solutions that would
accomplish this functionality in a cross-platform way (hald, pommed, etc).
Since I'm no longer using a ppc laptop, I don't want to commit to maintaining
this package should it make it into fedora, so I'm closing this bug.
If anyone cares about pbbuttonsd and wants it in fedora for ppc, please feel free
to re-submit a review request.

Note You need to log in before you can comment on or make changes to this bug.